echo off
rem Ŀ
rem  Example EVENT.SYS showing how to produce an event processing report    
rem  (event.log) and have it inserted as a message to the SYSOP.            
rem                                                                         
rem  Note the use of SET TXT2MSG= so that all TXT2MSG runs during this      
rem  event will be 'from' EVENT PROCESS unless overridden by each command-  
rem  line call of TXT2MSG (see LOGMAIL.BAT for an example).                 
rem                                                                         
rem  Note that the "tm" is a time_mark utility - There is a PD version from 
rem  Sam Smith and a commercial version available from Norton.  This logs   
rem  the time and time elapsed (on up to 4 counters (/Cx)) since "START".   
rem 
cls
echo Processing EVENT 2...

SET TXT2MSG=-rin "-fEvent Process"

tm START "Event 2 Start -- " /LOG/L/C1 >>c:\pcb\eventsys\event.log
tm START /C2

%COMSPEC%/c d:\all\event\abnormal.bat    ; Abnormal logoff processing report
tm STOP "Abnormal Logoff ..." /LOG/L/N/C1 >>c:\pcb\eventsys\event.log
tm START /C1

%COMSPEC%/c d:\all\event\scripts.bat     ; SQ2MSG processing for all scripts
%COMSPEC%/c d:\all\event\callers.bat     ; Update BLT15/16/17/18/19 CallerStats
tm  STOP "Callers Process ..." /LOG/L/N/C1 >>c:\pcb\eventsys\event.log
tm START /C1

%COMSPEC%/c d:\all\event\netmail.bat     ; Echomail (RNet) processing
%COMSPEC%/c d:\all\event\logmail.bat     ; TXT2MSG RNet log status report
tm  STOP "Mailrun ..........." /LOG/L/N/C1 >>c:\pcb\eventsys\event.log
tm START /C1

rem   *** ETC ***

tm  STOP "Event 2 End  --  " /LOG/L/C2 >>c:\pcb\eventsys\event.log
TXT2MSG e:\conf\main c:\pcb\eventsys\event.log
del c:\pcb\eventsys\event.log

c:
cd\pcb
board
