echo off
rem Ŀ
rem  This batch file is run after the normal mailrun to the host system.    
rem                                                                         
rem  Takes any VERBOSE.* files and imports them as public messages to show  
rem  what mail has been processed.  Also takes REPORT.LOG and enters it as  
rem  a R/O message to the Sysop to show activity over a period of time.     
rem                                                                         
rem  The VERBOSE.* file(s) are then moved to an OFF-LINE directory for      
rem  reference in case of mail operation problems.                          
rem 

rem Ŀ
rem  Note: the "default" operation is different because of a SET statement  
rem  in the calling batch file (EVENTSYS.BAT example).  For reference, that 
rem  statement is "SET TXT2MSG=-rin -fEvent_Process".  Note the use of      
rem  switches in the first example below to force a message public and from 
rem  SYSOP which overrides the environment setting in EVENTSYS.BAT while    
rem  the second TXT2MSG line will result in a R/O from EVENT PROCESS.       
rem 

TXT2MSG k:\conf\main\msgs d:\rnet\verbose.* -p -fSYSOP -tALL
copy d:\rnet\verbose.* d:\rnet\off-line
del d:\rnet\verbose.*

TXT2MSG k:\conf\main\msgs d:\rnet\report.log
