echo off
echo TXT2MSG Single User Tracking...

rem   This batch is used to lookup the caller log entries for a given user
rem   specified on the commandline.  This is useful if you want to check up
rem   on a user but don't want to bother with an EVENT.SYS entry to do so.
rem   I use this batch to check on users who appear to be acting suspicious
rem   when I want to look at their caller log entries.  The report is sent
rem   to the d:\conf\1\msgs messagebase.

rem   See also:  TRACKUSR.BAT example batchfile.

if %1.==. goto ERROR
if %2.==. goto ERROR
if exist trackusr.$$$ del trackusr.$$$
echo From: %1 %2>>trackusr.$$$

txt2msg d:\conf\1\msgs -qtrackusr.$$$ k:\all\stats\caller? -ril -s%1_%2_log
goto END

:ERROR
echo  ERROR!  This batchfile requires that you include a username on the
echo  commandline for TXT2MSG to search the callers logs for.  The username
echo  _must_ be specified and in ALL CAPS for the search to be effective.
echo  %0: Abend

:END
if exist trackusr.$$$ del trackusr.$$$

