echo off
echo TXT2MSG User Tracking [TRACKUSR.LST]...

rem   Event Batch to keep track of a list of users (via callerlog)
rem   Invoke this batchfile with a name (ALL CAPS!) if you want to add
rem   a name to the list.  If you invoke it without a name on the
rem   commandline then it will do it's normal search/processing.

rem   This batch uses TRACKUSR.LST in the current directory for the
rem   list of names to track.  Each user in this listfile will cause
rem   a message to be sent to the Sysop in with any caller log entries
rem   from that user.  Simply edit this batch/call to TXT2MSG as desired.

rem   The example TRACKUSR.LST file shows how I track echomail logins to
rem   see when the last time a BBS login came to get mail.  Useful for
rem   catching problems with automated scripts that neither side would
rem   notice without looking at the callers logs.

rem   See also:  TRACKONE.BAT example batchfile to manually track one user.

if %1.==. goto PROCESS
echo From: %1 %2>>trackusr.lst
echo Added %1 %2 to TRACKUSR.LST file.  Run %0 with no params to process.
goto END

:PROCESS
txt2msg d:\conf\1\msgs -qtrackusr.lst k:\all\stats\caller? -ril

:END
